"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var uuid_1 = require("../utils/uuid");
var TaskDispatcherEvent;
(function (TaskDispatcherEvent) {
    TaskDispatcherEvent["TaskExecutionStarted"] = "taskExecutionStarted";
    TaskDispatcherEvent["TaskExecutionTimedOut"] = "taskExecutionTimedOut";
    TaskDispatcherEvent["TaskChainFinished"] = "taskChainFinished";
    TaskDispatcherEvent["DefaultCancelEvent"] = "defaultCancelEvent";
})(TaskDispatcherEvent = exports.TaskDispatcherEvent || (exports.TaskDispatcherEvent = {}));
function createEvent(name, params) {
    if (params === void 0) { params = {}; }
    var id = params.id ? params.id : uuid_1.uuid();
    var data = params.data ? params.data : {};
    var expirationTimestamp = params.expirationTimestamp
        ? params.expirationTimestamp
        : -1;
    return {
        name: name,
        id: id,
        expirationTimestamp: expirationTimestamp,
        data: data,
    };
}
exports.createEvent = createEvent;
//# sourceMappingURL=events.js.map