"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var internal_event_manager_1 = require("./internal-event-manager");
var internalEventManager = new internal_event_manager_1.InternalEventManager();
var events_1 = require("./events");
exports.TaskDispatcherEvent = events_1.TaskDispatcherEvent;
exports.createEvent = events_1.createEvent;
function on(eventName, eventReceiver) {
    var receiver = eventReceiver;
    if ("onReceive" in eventReceiver) {
        receiver = function (event) { return eventReceiver.onReceive(event); };
    }
    return internalEventManager.on(eventName, receiver);
}
exports.on = on;
function off(eventName, listenerId) {
    if (!listenerId) {
        internalEventManager.off(eventName);
    }
    else {
        internalEventManager.off(eventName, listenerId);
    }
}
exports.off = off;
function emit(dispatchableEvent) {
    internalEventManager.emit(dispatchableEvent);
}
exports.emit = emit;
function hasListeners(eventName) {
    return internalEventManager.hasListeners(eventName);
}
exports.hasListeners = hasListeners;
//# sourceMappingURL=index.js.map