"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var provider_1 = require("./provider");
var browser_1 = require("./graph/browser");
var ForegroundChecker = (function () {
    function ForegroundChecker(taskProvider, graphBrowser) {
        if (taskProvider === void 0) { taskProvider = provider_1.getTask; }
        if (graphBrowser === void 0) { graphBrowser = browser_1.taskGraphBrowser; }
        this.taskProvider = taskProvider;
        this.graphBrowser = graphBrowser;
    }
    ForegroundChecker.prototype.requiresForegroundThroughChain = function (taskName) {
        var e_1, _a;
        var task = this.taskProvider(taskName);
        if (!task.runsInBackground()) {
            return true;
        }
        try {
            for (var _b = __values(task.outputEventNames), _c = _b.next(); !_c.done; _c = _b.next()) {
                var outputEvent = _c.value;
                var requiresForeground = this.graphBrowser.anyFrom(outputEvent, function (childTask) { return !childTask.instance.runsInBackground(); });
                if (requiresForeground) {
                    return true;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return false;
    };
    return ForegroundChecker;
}());
exports.ForegroundChecker = ForegroundChecker;
//# sourceMappingURL=foreground-checker.js.map