import { RunnableTask } from "../runnable-task";
import { Task } from "../task";
declare type TaskProvider = (taskName: string) => Task;
export declare class TaskGraphBrowser {
    private taskProvider;
    private readonly entries;
    constructor(taskProvider?: TaskProvider);
    addEntry(invocationEvent: string, runnableTask: RunnableTask): void;
    getTriggeredBy(invocationEvent: string): Array<RunnableTask>;
    getUniques(): Array<RunnableTask>;
    any(matcher: QueryMatcher): boolean;
    anyFrom(eventName: string, matcher: QueryMatcher): boolean;
    depict(): Array<GraphEntry>;
    walkFrom(eventName: string): Array<GraphTask>;
    private getRootEvents;
    private memoizedAnyFrom;
    private memoizedWalk;
    private walkOutputs;
}
export declare const taskGraphBrowser: TaskGraphBrowser;
declare type QueryMatcher = (runnableTask: LinkedRunnableTask) => boolean;
export interface GraphEntry {
    trigger: string;
    tasks: Array<GraphTask>;
}
export interface GraphTask extends RunnableTask {
    outputs: Array<GraphEntry>;
}
export interface LinkedRunnableTask extends RunnableTask {
    instance: Task;
}
export {};
