import { TaskGraph, RunnableTaskDescriptor } from ".";
import { Task } from "../task";
import { TaskCancelManager } from "../cancel-manager";
import { TaskGraphBrowser } from "./browser";
import { ReadyRunnableTaskBuilder } from "../runnable-task/builder";
declare type TaskEventBinder = (eventName: string, taskBuilder: ReadyRunnableTaskBuilder) => number;
declare type TaskVerifier = (taskName: string) => void;
declare type TaskProvider = (taskName: string) => Task;
export declare class TaskGraphLoader {
    private taskEventBinder;
    private runnableTaskDescriptor;
    private taskVerifier;
    private taskProvider;
    private cancelManager;
    private graphBrowser;
    private graphTasks;
    private loadingTaskGraph;
    private logger;
    constructor(taskEventBinder?: TaskEventBinder, runnableTaskDescriptor?: RunnableTaskDescriptor, taskVerifier?: TaskVerifier, taskProvider?: TaskProvider, cancelManager?: TaskCancelManager, graphBrowser?: TaskGraphBrowser);
    load(graph: TaskGraph): Promise<void>;
    isReady(): Promise<boolean>;
    prepare(): Promise<void>;
    tasksNotReady(): Promise<Array<Task>>;
    private bindTaskToStartAndCancelEvent;
    private trackTaskGoingToBeRun;
    private hasToBePrepared;
    private getLogger;
}
export declare const taskGraph: TaskGraphLoader;
export {};
