import { PlannedTask, PlanningType } from "./planner/planned-task";
import { PlannedTasksStore } from "../persistence/planned-tasks-store";
import { ForegroundChecker } from "./foreground-checker";
export declare class TaskManager {
    private planningType;
    private plannedTasksStore;
    private foregroundChecker;
    private intervalOffset;
    private currentTime;
    private _allTasks;
    constructor(planningType: PlanningType, plannedTasksStore: PlannedTasksStore, foregroundChecker: ForegroundChecker, intervalOffset: number, currentTime?: number);
    tasksToRun(): Promise<Array<PlannedTask>>;
    requiresForeground(): Promise<boolean>;
    willContinue(): Promise<boolean>;
    nextInterval(): Promise<number>;
    private determineIfTaskShouldBeRun;
    private allTasks;
}
