import { TaskScheduler } from "../schedulers/time-based";
import { TaskRunner } from "../schedulers/immediate/instant-task-runner";
import { PlannedTasksStore } from "../../persistence/planned-tasks-store";
import { TaskCancelManager } from "../cancel-manager";
import { RunnableTask } from "../runnable-task";
import { DispatchableEvent } from "../../events";
import { PlannedTask } from "./planned-task";
import { TaskPlannerParallelizer } from "./parallelizer";
export declare class TaskPlanner {
    private taskScheduler?;
    private taskRunner;
    private taskStore;
    private cancelManager;
    private parallelizer;
    constructor(taskScheduler?: TaskScheduler, taskRunner?: TaskRunner, taskStore?: PlannedTasksStore, cancelManager?: TaskCancelManager, parallelizer?: TaskPlannerParallelizer);
    plan(runnableTask: RunnableTask, dispatchableEvent: DispatchableEvent): Promise<PlannedTask>;
    private planImmediate;
    private planScheduled;
    private getTaskScheduler;
}
