import { RunnableTask } from "../runnable-task";
import { TaskParams } from "../task";
export declare enum PlanningType {
    Scheduled = "scheduled",
    Immediate = "immediate"
}
export declare enum SchedulerType {
    None = "none",
    Alarm = "alarm"
}
export declare class PlannedTask {
    planningType: PlanningType;
    schedulerType: SchedulerType;
    id: string;
    createdAt: number;
    lastRun: number;
    errorCount: number;
    timeoutCount: number;
    name: string;
    startAt: number;
    interval: number;
    recurrent: boolean;
    params: TaskParams;
    cancelEvent: string;
    readonly lastUpdate: number;
    constructor(planningType: PlanningType, schedulerType: SchedulerType, task: RunnableTask, id?: string, createdAt?: number, lastRun?: number, errorCount?: number, timeoutCount?: number);
    nextRun(currentTime?: number): number;
}
