"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tasks = {};
function getTask(name) {
    checkIfTaskExists(name);
    return tasks[name];
}
exports.getTask = getTask;
function checkIfTaskExists(name) {
    var task = tasks[name];
    if (!task) {
        throw new TaskNotFoundError(name);
    }
}
exports.checkIfTaskExists = checkIfTaskExists;
function registerTasks(newTasks) {
    var e_1, _a;
    try {
        for (var newTasks_1 = __values(newTasks), newTasks_1_1 = newTasks_1.next(); !newTasks_1_1.done; newTasks_1_1 = newTasks_1.next()) {
            var task = newTasks_1_1.value;
            if (tasks[task.name]) {
                throw new Error("Task (" + task.name + ") name collides with an existing task. Cannot guarantee the correct operation of the system");
            }
            tasks[task.name] = task;
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (newTasks_1_1 && !newTasks_1_1.done && (_a = newTasks_1.return)) _a.call(newTasks_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
}
exports.registerTasks = registerTasks;
function setTasks(t) {
    tasks = {};
    registerTasks(t);
}
exports.setTasks = setTasks;
var TaskNotFoundError = (function (_super) {
    __extends(TaskNotFoundError, _super);
    function TaskNotFoundError(name) {
        return _super.call(this, "Task not found: " + name) || this;
    }
    return TaskNotFoundError;
}(Error));
exports.TaskNotFoundError = TaskNotFoundError;
//# sourceMappingURL=provider.js.map