"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var intent_tools_android_1 = require("../../intent-tools.android");
var serialization_1 = require("../../../../utils/serialization");
function createTaskChainRunnerServiceIntent(appContext, params) {
    var intent = intent_tools_android_1.createLibComponentIntent(appContext, {
        relativeClassPath: ".runners.TaskChainRunnerService",
    });
    intent.putExtra(TCRS_LAUNCH_EVENT, params.launchEvent);
    intent.putExtra(TCRS_EVENT_DATA, serialization_1.serialize(params.eventData));
    if (params.eventId) {
        intent.putExtra(TCRS_EVENT_ID, params.eventId);
    }
    return intent;
}
exports.createTaskChainRunnerServiceIntent = createTaskChainRunnerServiceIntent;
function unpackTaskChainRunnerServiceIntent(intent) {
    if (!intent) {
        return null;
    }
    var taskChainRunnerParams = {
        launchEvent: intent.getStringExtra(TCRS_LAUNCH_EVENT),
        eventData: serialization_1.deserialize(intent.getStringExtra(TCRS_EVENT_DATA)),
    };
    if (intent.hasExtra(TCRS_EVENT_ID)) {
        taskChainRunnerParams.eventId = intent.getStringExtra(TCRS_EVENT_ID);
    }
    return taskChainRunnerParams;
}
exports.unpackTaskChainRunnerServiceIntent = unpackTaskChainRunnerServiceIntent;
var TCRS_LAUNCH_EVENT = "launchEvent";
var TCRS_EVENT_DATA = "eventData";
var TCRS_EVENT_ID = "eventId";
//# sourceMappingURL=intents.android.js.map