"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var planned_task_1 = require("../../planner/planned-task");
var provider_1 = require("../../provider");
var single_task_runner_1 = require("../../runners/single-task-runner");
var InstantTaskRunner = (function () {
    function InstantTaskRunner(taskStore) {
        this.taskStore = taskStore;
        this.taskRunner = new single_task_runner_1.SingleTaskRunner(taskStore);
    }
    InstantTaskRunner.prototype.run = function (task, dispatchableEvent) {
        return __awaiter(this, void 0, void 0, function () {
            var plannedTask;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        provider_1.checkIfTaskExists(task.name);
                        return [4, this.taskStore.get(task)];
                    case 1:
                        plannedTask = _a.sent();
                        if (!!plannedTask) return [3, 3];
                        plannedTask = new planned_task_1.PlannedTask(planned_task_1.PlanningType.Immediate, planned_task_1.SchedulerType.None, task);
                        return [4, this.taskStore.insert(plannedTask)];
                    case 2:
                        _a.sent();
                        _a.label = 3;
                    case 3: return [4, this.taskRunner.run(plannedTask, dispatchableEvent)];
                    case 4:
                        _a.sent();
                        return [2, this.taskStore.get(plannedTask.id)];
                }
            });
        });
    };
    return InstantTaskRunner;
}());
exports.InstantTaskRunner = InstantTaskRunner;
//# sourceMappingURL=instant-task-runner.js.map