"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application_1 = require("tns-core-modules/application/application");
var intents_android_1 = require("../intents.android");
var logger_1 = require("../../../../../utils/logger");
var PowerSavingsManager = (function () {
    function PowerSavingsManager(powerManager, skdVersion) {
        if (powerManager === void 0) { powerManager = application_1.android.context.getSystemService(android.content.Context.POWER_SERVICE); }
        if (skdVersion === void 0) { skdVersion = android.os.Build.VERSION.SDK_INT; }
        this.powerManager = powerManager;
        this.skdVersion = skdVersion;
        this.logger = logger_1.getLogger("PowerSavingsManager");
        this.appPackage = application_1.android.context.getPackageName();
    }
    PowerSavingsManager.prototype.requestDeactivation = function () {
        if (this.askedOnce || this.areDisabled()) {
            return;
        }
        if (!application_1.android.foregroundActivity) {
            this.logger.warn("Battery savings can not be enabled in background");
            return;
        }
        this.askedOnce = true;
        var intent = intents_android_1.createSavingsDeactivationIntent(this.appPackage);
        application_1.android.foregroundActivity.startActivity(intent);
    };
    PowerSavingsManager.prototype.areDisabled = function () {
        if (this.skdVersion < 23) {
            return true;
        }
        return this.powerManager.isIgnoringBatteryOptimizations(this.appPackage);
    };
    return PowerSavingsManager;
}());
exports.PowerSavingsManager = PowerSavingsManager;
var powerSavingsManager;
function getPowerSavingsManager() {
    if (!powerSavingsManager) {
        powerSavingsManager = new PowerSavingsManager();
    }
    return powerSavingsManager;
}
exports.getPowerSavingsManager = getPowerSavingsManager;
//# sourceMappingURL=power-savings-manager.android.js.map