"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application_1 = require("tns-core-modules/application/application");
var abstract_alarm_manager_android_1 = require("../abstract-alarm-manager.android");
var intents_android_1 = require("../../intents.android");
var logger_1 = require("../../../../../../utils/logger");
var time_1 = require("../../../../../../utils/time");
var WATCHDOG_INTERVAL = 15 * 60 * 1000;
var WatchdogManager = (function (_super) {
    __extends(WatchdogManager, _super);
    function WatchdogManager(osAlarmManager) {
        if (osAlarmManager === void 0) { osAlarmManager = application_1.android.context.getSystemService(android.content.Context.ALARM_SERVICE); }
        return _super.call(this, osAlarmManager, intents_android_1.createWatchdogReceiverIntent(application_1.android.context), logger_1.getLogger("WatchdogManager")) || this;
    }
    WatchdogManager.prototype.set = function () {
        if (this.alarmUp) {
            this.cancel();
        }
        var alarmType = android.app.AlarmManager.RTC_WAKEUP;
        var triggerAtMillis = time_1.now() + WATCHDOG_INTERVAL;
        var pendingIntent = this.getPendingIntent();
        this.osAlarmManager.setRepeating(alarmType, triggerAtMillis, WATCHDOG_INTERVAL, pendingIntent);
        this.logger.info("Watchdog will run every " + WATCHDOG_INTERVAL + " ms");
    };
    return WatchdogManager;
}(abstract_alarm_manager_android_1.AbstractAlarmManager));
exports.WatchdogManager = WatchdogManager;
//# sourceMappingURL=manager.android.js.map