"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var scheduler_android_1 = require("../alarm/scheduler.android");
var logger_1 = require("../../../../../../utils/logger");
var WatchdogReceiver = (function () {
    function WatchdogReceiver() {
    }
    WatchdogReceiver.prototype.onReceive = function (context, intent) {
        var logger = logger_1.getLogger("WatchdogReceiver");
        logger.info("Checking alarm status");
        var alarmScheduler = new scheduler_android_1.AndroidAlarmScheduler();
        alarmScheduler
            .setup()
            .then(function () { return logger.debug("Alarm setup has run"); })
            .catch(function (err) {
            logger.error(err);
        });
    };
    return WatchdogReceiver;
}());
exports.WatchdogReceiver = WatchdogReceiver;
var _watchdogReceiver;
function getWatchDogReceiver() {
    if (!_watchdogReceiver) {
        _watchdogReceiver = new WatchdogReceiver();
    }
    return _watchdogReceiver;
}
exports.getWatchDogReceiver = getWatchDogReceiver;
//# sourceMappingURL=receiver.android.js.map