"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var scheduler_android_1 = require("./alarms/alarm/scheduler.android");
var logger_1 = require("../../../../utils/logger");
var BootReceiver = (function () {
    function BootReceiver() {
    }
    BootReceiver.prototype.onReceive = function (context, intent) {
        var logger = logger_1.getLogger("BootReceiver");
        logger.info("Performing boot initializations");
        var alarmScheduler = new scheduler_android_1.AndroidAlarmScheduler();
        alarmScheduler
            .setup()
            .then(function () { return logger.debug("Alarm setup has run"); })
            .catch(function (err) {
            logger.error("" + err);
        });
    };
    return BootReceiver;
}());
exports.BootReceiver = BootReceiver;
var _bootReceiver;
function getBootReceiver() {
    if (!_bootReceiver) {
        _bootReceiver = new BootReceiver();
    }
    return _bootReceiver;
}
exports.getBootReceiver = getBootReceiver;
//# sourceMappingURL=boot-receiver.android.js.map