"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var intent_tools_android_1 = require("../../intent-tools.android");
var time_1 = require("../../../../utils/time");
function createAppLaunchIntent(appContext) {
    return intent_tools_android_1.createLibComponentIntent(appContext, {
        pathPrefix: "com.tns",
        relativeClassPath: ".NativeScriptActivity",
    });
}
exports.createAppLaunchIntent = createAppLaunchIntent;
function createAlarmReceiverIntent(appContext) {
    return intent_tools_android_1.createLibComponentIntent(appContext, {
        relativeClassPath: ".alarms.AlarmReceiver",
    });
}
exports.createAlarmReceiverIntent = createAlarmReceiverIntent;
function createWatchdogReceiverIntent(appContext) {
    return intent_tools_android_1.createLibComponentIntent(appContext, {
        relativeClassPath: ".alarms.WatchdogReceiver",
    });
}
exports.createWatchdogReceiverIntent = createWatchdogReceiverIntent;
function createSavingsDeactivationIntent(appPackage) {
    return new android.content.Intent(android.provider.Settings.ACTION_REQUEST_IGNORE_BATTERY_OPTIMIZATIONS, android.net.Uri.parse("package:" + appPackage));
}
exports.createSavingsDeactivationIntent = createSavingsDeactivationIntent;
var ARS_RUN_IN_FOREGROUND = "foreground";
var ARS_TIME_OFFSET = "time-offset";
var ARS_INVOCATION_TIME = "invocation-time";
function createAlarmRunnerServiceIntent(appContext, params) {
    var intent = intent_tools_android_1.createLibComponentIntent(appContext, {
        relativeClassPath: ".alarms.AlarmRunnerService",
    });
    intent.putExtra(ARS_RUN_IN_FOREGROUND, params.runInForeground);
    intent.putExtra(ARS_TIME_OFFSET, params.timeOffset);
    intent.putExtra(ARS_INVOCATION_TIME, params.invocationTime);
    return intent;
}
exports.createAlarmRunnerServiceIntent = createAlarmRunnerServiceIntent;
function unpackAlarmRunnerServiceIntent(intent) {
    if (!intent) {
        return null;
    }
    return {
        runInForeground: intent.getBooleanExtra(ARS_RUN_IN_FOREGROUND, false),
        timeOffset: intent.getIntExtra(ARS_TIME_OFFSET, 0),
        invocationTime: intent.getLongExtra(ARS_INVOCATION_TIME, time_1.now()),
    };
}
exports.unpackAlarmRunnerServiceIntent = unpackAlarmRunnerServiceIntent;
//# sourceMappingURL=intents.android.js.map