"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var application_settings_1 = require("tns-core-modules/application-settings/application-settings");
var time_1 = require("../../../utils/time");
var PREVIOUS_PLANNING_TIMESTAMP = "PREVIOUS_PLANNING_TIMESTAMP";
var CURRENT_PLANNING_TIMESTAMP = "CURRENT_PLANNING_TIMESTAMP";
var PlanningTimestamp = (function () {
    function PlanningTimestamp() {
        this._previous = application_settings_1.getNumber(PREVIOUS_PLANNING_TIMESTAMP, -1);
        this._current = application_settings_1.getNumber(CURRENT_PLANNING_TIMESTAMP, -1);
    }
    Object.defineProperty(PlanningTimestamp.prototype, "previous", {
        get: function () {
            return this._previous;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PlanningTimestamp.prototype, "current", {
        get: function () {
            return this._current;
        },
        enumerable: true,
        configurable: true
    });
    PlanningTimestamp.prototype.updateCurrent = function () {
        var previousCurrent = this.current;
        var newCurrent = time_1.now();
        this._previous = previousCurrent;
        this._current = newCurrent;
        application_settings_1.setNumber(PREVIOUS_PLANNING_TIMESTAMP, previousCurrent);
        application_settings_1.setNumber(CURRENT_PLANNING_TIMESTAMP, newCurrent);
        application_settings_1.flush();
    };
    return PlanningTimestamp;
}());
exports.planningTimestamp = new PlanningTimestamp();
//# sourceMappingURL=planning-timestamp.js.map