import { Task, TaskConfig, TaskParams, CancelFunction, TaskOutcome } from "./task";
import { DispatchableEvent } from "../events";
declare type SimpleTaskFunction = (ctx: SimpleTaskContext) => Promise<void | TaskOutcome>;
export declare class SimpleTask extends Task {
    private functionToRun;
    constructor(name: string, functionToRun: SimpleTaskFunction, taskConfig?: TaskConfig);
    protected onRun(params: TaskParams, evt: DispatchableEvent): Promise<void | TaskOutcome>;
}
interface SimpleTaskContext {
    params: TaskParams;
    evt: DispatchableEvent;
    onCancel(cancelFunction: CancelFunction): void;
    runAgainIn(seconds: number, params?: TaskParams): void;
    remainingTime(): number;
    log(message: any): void;
}
export {};
