"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AbstractLogger = (function () {
    function AbstractLogger(tag) {
        this.tag = tag;
    }
    AbstractLogger.prototype.debug = function (message) {
        this.logDebug(this.formatMessage(LogType.Debug, message));
    };
    AbstractLogger.prototype.info = function (message) {
        this.logInfo(this.formatMessage(LogType.Info, message));
    };
    AbstractLogger.prototype.warn = function (message) {
        this.logWarning(this.formatMessage(LogType.Warning, message));
    };
    AbstractLogger.prototype.error = function (message) {
        this.logError(this.formatMessage(LogType.Error, !!message.stack ? message.stack : message));
    };
    AbstractLogger.prototype.formatMessage = function (type, message) {
        return "[" + type + "] " + this.tag + ": " + message;
    };
    return AbstractLogger;
}());
exports.AbstractLogger = AbstractLogger;
var LogType;
(function (LogType) {
    LogType["Debug"] = "DEBUG";
    LogType["Info"] = "INFO";
    LogType["Warning"] = "WARN";
    LogType["Error"] = "ERROR";
})(LogType || (LogType = {}));
//# sourceMappingURL=common.js.map