"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dev_1 = require("./dev");
var prod_1 = require("./prod");
var loggingEnabled = false;
function createLogger(tag) {
    if (loggingEnabled) {
        return new dev_1.DevLogger(tag);
    }
    return new prod_1.ProdLogger(tag);
}
var loggerCreator = createLogger;
function enableLogging() {
    loggingEnabled = true;
}
exports.enableLogging = enableLogging;
function disableLogging() {
    loggingEnabled = false;
}
exports.disableLogging = disableLogging;
function setLoggerCreator(creator) {
    loggerCreator = creator;
}
exports.setLoggerCreator = setLoggerCreator;
function getLogger(tag) {
    return loggerCreator(tag);
}
exports.getLogger = getLogger;
var common_1 = require("./common");
exports.AbstractLogger = common_1.AbstractLogger;
//# sourceMappingURL=index.js.map