"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var observable_1 = require("tns-core-modules/data/observable");
var provider_1 = require("./internal/tasks/provider");
var loader_1 = require("./internal/tasks/graph/loader");
var logger_1 = require("./internal/utils/logger");
var event_driven_1 = require("./internal/tasks/schedulers/event-driven");
var Common = (function (_super) {
    __extends(Common, _super);
    function Common() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Common.prototype, "tasksNotReady", {
        get: function () {
            return loader_1.taskGraph.tasksNotReady();
        },
        enumerable: true,
        configurable: true
    });
    Common.prototype.init = function (appTasks, appTaskGraph, config) {
        if (config === void 0) { config = {}; }
        this.configure(config);
        provider_1.registerTasks(appTasks);
        return loader_1.taskGraph.load(appTaskGraph);
    };
    Common.prototype.isReady = function () {
        return loader_1.taskGraph.isReady();
    };
    Common.prototype.prepare = function () {
        return loader_1.taskGraph.prepare();
    };
    Common.prototype.emitEvent = function (eventName, eventData) {
        if (eventData === void 0) { eventData = {}; }
        event_driven_1.taskChainLauncher().launch(eventName, eventData);
    };
    Common.prototype.configure = function (config) {
        if (config.customLogger) {
            logger_1.setLoggerCreator(config.customLogger);
        }
        if (config.enableLogging || config.customLogger) {
            logger_1.enableLogging();
        }
    };
    return Common;
}(observable_1.Observable));
exports.Common = Common;
//# sourceMappingURL=task-dispatcher.common.js.map